Bug 287 - Samba is unable to join mixed-mode ADS when there is no DNS server available
Samba is unable to join mixed-mode ADS when there is no DNS server available
Status: VERIFIED INVALID
Product: Samba 3.0
Classification: Unclassified
Component: Domain Control
3.0.0preX
Other Linux
: P1 major
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-11 14:29 UTC by Alexander Bokovoy
Modified: 2005-02-07 08:41 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bokovoy 2003-08-11 14:29:56 UTC
This is a forward from a customer:
----------------------------------------------------------------------
We are facing a crucial defect on joing ADS domains on private
subnets.  "private", in this case, means no DNS information.
Many, many people here test the server in private subnets
that have no DNS, and they have come across this defect.

We reproduced the defect in mixed-mode ADS on a private
subnet.  The W2K ADS server was working fine, and we
have a Linux router on the subnet (no connected to 
anything outside) that is also a DHCP server (NOT
handing out any DNS server).

On trying to join a ADS domain, we did a network trace,
and it appears the correct information is not reaching
the ADS server for some reason.  Adding the server to
/etc/hosts on the NAS system did not help.

the client in these cases reports:

"Unable to update server."
-----------------------------------------------------------------------
I have the network trace available but it contains sensitive information to a
customer so ask privately to get it.
Comment 1 Gerald (Jerry) Carter 2003-08-11 15:06:18 UTC
If you are using multiple subnets, then you must either have DNS or
WINS. It sounds like you have neither.  Look at get_dc_name().
Comment 2 Alexander Bokovoy 2003-08-11 16:20:04 UTC
This is with a one subnet, not with multiple ones. I've sent a trace to you.
Comment 3 Alexander Bokovoy 2003-08-12 11:13:54 UTC
Customer identified a man-in-a-middle error: engineer mixed user names during
join process resulting in unwanted behaviour. So it was configuration error.
Change status to INVALID.
Comment 4 Alexander Bokovoy 2003-08-12 11:30:42 UTC
Verified with the customer.  We might document a need to specify IP address in
the case and not host name in smb.conf to get it working.
Comment 5 Gerald (Jerry) Carter 2005-02-07 08:41:22 UTC
originally reported against 3.0.0beta3.  CLeaning out 
non-production release versions.